namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter19.Listing19_03
{
    using System;
    using System.Threading.Tasks;

    public class Program
    {
        public static void Main()
        {
            const int repetitions = 10000;
            // Aby zastosować bibliotekę TPL w wersjach starszych niż .NET 4.5, 
            // wywołaj metodę Task.Factory.StartNew<string>().
            Task task = Task.Run(() =>
                {
                    for(int count = 0; count < repetitions; count++)
                    {
                        Console.Write('-');
                    }
                });
            for(int count = 0; count < repetitions; count++)
            {
                Console.Write('+');
            }

            // Czekanie do momentu zakończenia zadania.
            task.Wait();
        }
    }
}